Subject: Re: missing dependency due to unacceptable licence but continuing
To: Jeremy C. Reed <>
From: Amitai Schlair <>
List: tech-pkg
Date: 12/12/2002 17:37:06
Jeremy C. Reed wrote:

> Is it okay for a package to continue to build if a required package has an
> unacceptable license?
> ===> Required package openssl>=0.9.6g: NOT found
> ===> Verifying package for ../../security/openssl
> ===> openssl-0.9.6g has an unacceptable license: fee-based-commercial-use.
> ===>     To build this package, add this line to your /etc/mk.conf:
> ===>     ACCEPTABLE_LICENSES+=fee-based-commercial-use
> ===> Returning to build of sylpheed-claws-0.8.5
> ...

This was recently fixed. There is now section 10.31 of Packages.txt,
"Packages that cannot or should not be built".

- Amitai